Name: txr
Version: 231
Release: 0%{dist}.1sunshine
Summary: Programming language for text extraction and data munging
Source0: http://www.kylheku.com/cgit/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0: txr-208-licenseinstall.patch
URL: http://www.nongnu.org/%{name}/
Group: Applications/Text
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gcc
BuildRequires: bison
BuildRequires: flex
%if 0%{?fedora} >= 19
BuildRequires: flex-devel
%endif
# ffi_prep_cif_var() was added in 3.0.11:
BuildRequires: libffi-devel >= 3.0.11
License: BSD

%description
TXR is a pattern language for extracting and reporting text, with
a powerful Lisp dialect for advanced data munging.

%prep
%setup -q
%patch0 -p1 -b .license

# test 014 dgram relies on IPv6 support
if [ ! -f /proc/net/if_inet6 ]; then
  echo no IPv6 support, disabling test 014/dgram-stream
  mv tests/014/dgram-stream.tl{,.disabled}
fi

%build
# building in a separate dir breaks on yacc files
./configure --prefix=%{_prefix} --opt-flags="%{optflags}" --yaccname="bison -y"
make %{?_smp_mflags}

%check
make tests

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%{!?_licensedir:%global license %%doc}
%doc ChangeLog-2009-2015 RELNOTES
%license METALICENSE LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Wed Jan 15 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 231-0.1sunshine
- update to 231

* Tue Jan 07 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 230-0.1sunshine
- update to 230
- reenable tests/007/except-1.txr and tests/007/except-2.txr on x86, the
  issue should be fixed according to
  http://www.kylheku.com/lurker/message/20191219.055941.3a8b8595.en.html

* Tue Dec 03 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 228-0.2sunshine
- disable tests/007/except-1.txr and tests/007/except-2.txr again on x86,
  they still segfault

* Tue Dec 03 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 228-0.1sunshine
- update to 228
- add versioned BR libffi-devel (optional for build, but required by
  tests/017/glob-carray.tl)
- remove workarounds for failing tests (again)

* Tue Jan 29 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 208-0.1sunshine
- update to 208
- rebase the license patch
- this build never succeeded

* Wed Nov 28 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 202-0.1sunshine
- update to 202

* Sat Nov 10 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 201-0.1sunshine
- update to 201

* Wed Nov 07 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 200-0.2sunshine
- disable test 007 on ix86, Fedora >=23 again

* Wed Nov 07 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 200-0.1sunshine
- update to 200
- try to run test 007 again (disabled in 188-0.2sunshine)

* Tue Jul 17 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 198-0.1sunshine
- update to 198
- add BR: gcc
- drop use of old unsupported macros

* Wed May 02 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 194-0.1sunshine
- update to 194

* Sat Dec 30 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 188-0.2sunshine
- disable test 007 on ix86, Fedora >=23

* Sat Dec 30 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 188-0.1sunshine
- update to 188

* Sun Jul 30 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 183-0.1sunshine
- update to 183
- disable test 017, it fails on various platforms

* Thu Jan 19 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 165-0.1sunshine
- update to 165

* Wed Jan 06 2016 Moritz Barsnick <moritz+rpm@barsnick.net> 130-0.1sunshine
- update to 130
- use %%license macro, and provide a fallback

* Sat Jan 02 2016 Moritz Barsnick <moritz+rpm@barsnick.net> 129-0.1sunshine
- update to 129

* Wed Dec 30 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 128-0.1sunshine
- update to 128

* Mon Oct 05 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 118-0.1sunshine
- update to 118

* Fri Aug 21 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 113-0.1sunshine
- update to 113
- ChangeLog was renamed (and retired)

* Tue Aug 11 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 111-0.1sunshine
- update to 111

* Thu Aug 06 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 110-0.1sunshine
- update to 110
- rebase the license patch
- use %%license tag on newer Fedoras

* Thu May 21 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 107-0.1sunshine
- update to 107
- drop separate build dir, its use is broken

* Thu Jan 15 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 102-0.1sunshine
- update to 102
- use separate build dir

* Tue Jan 13 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 101-0.1sunshine
- update to 101
- rebase the license patch

* Thu Oct 16 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 99-0.1sunshine
- update to 99

* Mon Sep 01 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 97-0.4sunshine
- add patch to not let licenses be installed in %%{_datadir}

* Mon Sep 01 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 97-0.3sunshine
- actually BR both flex and flex-devel

* Mon Sep 01 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 97-0.2sunshine
- BR flex-devel (for -lfl) on newer platforms

* Mon Sep 01 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 97-0.1sunshine
- initial RPM
